com.mysql.cj.xdevapi

## Interface InsertResult

All Superinterfaces:
  QueryResult, Result

All Known Subinterfaces:
  SqlResult

    public interface InsertResult
    extends Result

A result from the table.insert() statement.

### Method Summary

All Methods Instance Methods Abstract Methods
`Long` `getAutoIncrementValue()` Get the auto-increment value if one was generated from a row insert statement.

### Methods inherited from interface com.mysql.cj.xdevapi.Result

`getAffectedItemsCount, getWarnings, getWarningsCount`

### Method Detail

#### getAutoIncrementValue

    Long getAutoIncrementValue()

Get the auto-increment value if one was generated from a row insert statement.

Returns:
  auto-increment value

Copyright © 2016, 2026, Oracle and/or its affiliates.